package player

import (
	"blazing/logic/service/fight/info"
	"blazing/modules/blazing/model"
	"fmt"
)

type AI_player struct {
	baseplayer
	petinfo []model.PetInfo //精灵信息

	CanCapture bool
}

func (f *AI_player) SendPack(b []byte) error {
	return nil

}

func (f *AI_player) SendReadyToFightInfo(gg info.FightStartOutboundInfo) {

	fmt.Println(gg)

}

func (f *AI_player) SendNoteReadyToFightInfo(fs info.NoteReadyToFightInfo) {
	fmt.Println(fs)
}

func (f *AI_player) SendFightEndInfo(_ info.FightOverInfo) {

	//fmt.Println("战斗结束")

}

func (p *AI_player) GetPetInfo() []model.PetInfo {

	return p.petinfo
}
func (p *AI_player) SendAttackValue(info.AttackValueS) {

}
func (p *AI_player) SendChangePet(info.ChangePetInfo) {

}
